Bug 200686 - [MAINTAINER] graphics/mozjpeg: update to 3.1
Summary: [MAINTAINER] graphics/mozjpeg: update to 3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-06-06 23:34 UTC by Horia Racoviceanu
Modified: 2015-06-17 17:27 UTC (History)
0 users

See Also:


Attachments
mozjpeg.diff (3.87 KB, patch)
2015-06-06 23:34 UTC, Horia Racoviceanu
no flags Details | Diff
mozjpeg.diff (3.84 KB, patch)
2015-06-07 18:30 UTC, Horia Racoviceanu
no flags Details | Diff
Build log: mozjpeg-3.1-10amd64.log (36.03 KB, text/plain)
2015-06-16 13:54 UTC, Horia Racoviceanu
no flags Details
Build log: mozjpeg-3.1-10i386.log (36.84 KB, text/plain)
2015-06-16 13:55 UTC, Horia Racoviceanu
no flags Details
Build log: mozjpeg-3.1-9amd64.log (31.52 KB, text/plain)
2015-06-16 13:55 UTC, Horia Racoviceanu
no flags Details
Build log: mozjpeg-3.1-9i386.log (31.89 KB, text/plain)
2015-06-16 13:56 UTC, Horia Racoviceanu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2015-06-06 23:34:16 UTC
Created attachment 157487 [details]
mozjpeg.diff

- Update to 3.1
- Add LICENSE_FILE
- Remove GH_TAGNAME
- Add USES=pkgconfig
- Remove GCC and STATIC options
- Add SIMD to default options
- Simplify DOCS

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
Comment 1 Horia Racoviceanu 2015-06-07 18:30:51 UTC
Created attachment 157510 [details]
mozjpeg.diff

* Remove WRKSRC from 157487 (leftover from test)

- Update to 3.1
- Add LICENSE_FILE
- Remove GH_TAGNAME
- Add USES=pkgconfig
- Remove GCC and STATIC options
- Add SIMD to default options
- Simplify DOCS

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
Comment 2 Horia Racoviceanu 2015-06-16 13:54:38 UTC
Created attachment 157804 [details]
Build log: mozjpeg-3.1-10amd64.log
Comment 3 Horia Racoviceanu 2015-06-16 13:55:07 UTC
Created attachment 157805 [details]
Build log: mozjpeg-3.1-10i386.log
Comment 4 Horia Racoviceanu 2015-06-16 13:55:58 UTC
Created attachment 157806 [details]
Build log: mozjpeg-3.1-9amd64.log
Comment 5 Horia Racoviceanu 2015-06-16 13:56:32 UTC
Created attachment 157807 [details]
Build log: mozjpeg-3.1-9i386.log
Comment 6 commit-hook freebsd_committer 2015-06-17 17:25:37 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Jun 17 17:25:04 UTC 2015
New revision: 389954
URL: https://svnweb.freebsd.org/changeset/ports/389954

Log:
  - Update to 3.1
  - Add LICENSE_FILE
  - Remove GH_TAGNAME
  - Add USES=pkgconfig
  - Remove GCC and STATIC options
  - Add SIMD to default options
  - Simplify DOCS

  Changes:	https://github.com/mozilla/mozjpeg/releases
  PR:		200686
  Submitted by:	Horia Racoviceanu <horia@racoviceanu.com> (maintainer)

Changes:
  head/graphics/mozjpeg/Makefile
  head/graphics/mozjpeg/distinfo
  head/graphics/mozjpeg/pkg-plist
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-06-17 17:27:26 UTC
Committed. Thanks!